diff --git a/gnu/packages/geo.scm b/gnu/packages/geo.scm
index 806120e939d..be96e6800a3 100644
--- a/gnu/packages/geo.scm
+++ b/gnu/packages/geo.scm
@@ -1479,8 +1479,7 @@ (define-public python-cartopy
     (inputs
      (list geos))
     (native-inputs
-     (list python-coveralls
-           python-cython
+     (list python-cython
            python-pytest
            python-pytest-cov
            python-pytest-mpl
diff --git a/gnu/packages/graph.scm b/gnu/packages/graph.scm
index f83a23dd0be..d66a3676fd2 100644
--- a/gnu/packages/graph.scm
+++ b/gnu/packages/graph.scm
@@ -476,7 +476,6 @@ (define-public python-graphtools
     (native-inputs
      (list util-linux ;for lscpu
            python-anndata
-           python-coveralls
            python-nose
            python-nose2
            python-pandas
@@ -563,7 +562,7 @@ (define-public python-pygsp
                 "")))))))
     (propagated-inputs (list python-numpy python-scikit-image python-scipy))
     (native-inputs
-     (list python-coveralls python-pytest))
+     (list python-pytest))
     (home-page "https://github.com/epfl-lts2/pygsp")
     (synopsis "Graph Signal Processing in Python")
     (description "The PyGSP is a Python package to ease signal processing on
diff --git a/gnu/packages/python-compression.scm b/gnu/packages/python-compression.scm
index b2d789c92d0..5faf7b2a3cb 100644
--- a/gnu/packages/python-compression.scm
+++ b/gnu/packages/python-compression.scm
@@ -109,7 +109,6 @@ (define-public python-multivolumefile
     (build-system pyproject-build-system)
     (native-inputs
      (list python-setuptools-scm
-           python-coveralls
            python-hypothesis
            python-pyannotate
            python-pytest
@@ -474,7 +473,6 @@ (define-public python-py7zr
      (list python-setuptools
            python-wheel
            python-setuptools-scm
-           python-coveralls
            python-libarchive-c
            python-py-cpuinfo
            python-pyannotate
diff --git a/gnu/packages/python-science.scm b/gnu/packages/python-science.scm
index f82feab0963..9301e82bb60 100644
--- a/gnu/packages/python-science.scm
+++ b/gnu/packages/python-science.scm
@@ -653,8 +653,7 @@ (define-public python-trimesh
                 (("\\$MESH_PRE")
                  "'$MESH_PRE'")))))))
     (native-inputs
-     (list python-coveralls
-           python-pyinstrument
+     (list python-pyinstrument
            python-pytest
            python-pytest-cov))
     (propagated-inputs
diff --git a/gnu/packages/python-web.scm b/gnu/packages/python-web.scm
index 5e585d7b60d..8265ef41aff 100644
--- a/gnu/packages/python-web.scm
+++ b/gnu/packages/python-web.scm
@@ -8376,8 +8376,7 @@ (define-public python-flask-combo-jsonapi
            python-simplejson
            python-six))
     (native-inputs
-     (list python-coveralls
-           python-pytest
+     (list python-pytest
            python-pytest-runner))
     (home-page "https://github.com/AdCombo/flask-combo-jsonapi")
     (synopsis "Flask extension to quickly create JSON:API 1.0 REST Web APIs")
diff --git a/gnu/packages/python-xyz.scm b/gnu/packages/python-xyz.scm
index f45f375f38e..b2a5d234eab 100644
--- a/gnu/packages/python-xyz.scm
+++ b/gnu/packages/python-xyz.scm
@@ -1019,7 +1019,7 @@ (define-public python-affine
                (base32
                 "1shyvajayyzbkp9dihb4mz835jnkp0kqqbyjfqci6v43da6q2kd2"))))
     (build-system pyproject-build-system)
-    (propagated-inputs (list python-coveralls python-pydocstyle
+    (propagated-inputs (list python-pydocstyle
                              python-pytest python-pytest-cov))
     (native-inputs (list python-flit-core))
     (home-page "https://github.com/rasterio/affine")
@@ -3070,7 +3070,6 @@ (define-public python-cftime
      (list python-numpy))
     (native-inputs
      (list python-check-manifest
-           python-coveralls
            python-cython
            python-pytest-cov
            python-sphinx
@@ -5678,7 +5677,6 @@ (define-public python-ddlparse
     (build-system pyproject-build-system)
     (native-inputs
      (list python-codecov
-           python-coveralls
            python-pytest
            python-pytest-cov
            python-setuptools
@@ -16027,7 +16025,7 @@ (define-public python-tasklogger
         (base32 "1901mibcp6aiyjy8afnybrxnb0dkbdxlbvjqbr3gginlw7dr18xh"))))
     (build-system pyproject-build-system)
     (propagated-inputs (list python-deprecated))
-    (native-inputs (list python-coveralls python-nose2
+    (native-inputs (list python-nose2
                          python-numpy python-setuptools python-wheel))
     (home-page "https://github.com/scottgigante/tasklogger")
     (synopsis "Extension to the core Python logging library")
@@ -34103,8 +34101,7 @@ (define-public python-minikanren
                         (invoke "python" "-m" "pytest" "-v" "tests/" "kanren/"))
                       #t)))))
     (native-inputs
-     (list python-coveralls
-           python-pydocstyle
+     (list python-pydocstyle
            python-pytest
            python-pytest-cov
            python-pylint
@@ -35943,8 +35940,7 @@ (define-public python-arpeggio
                (base32
                 "0ggdsck1wpladd5bh9drhkmm86bblgk2wagrhn3sdf4v04wkic6n"))))
     (build-system python-build-system)
-    (native-inputs (list python-coveralls
-                         python-mike
+    (native-inputs (list python-mike
                          python-mkdocs
                          python-pytest
                          python-pytest-runner
diff --git a/gnu/packages/syndication.scm b/gnu/packages/syndication.scm
index 397a477972e..d102548bb9c 100644
--- a/gnu/packages/syndication.scm
+++ b/gnu/packages/syndication.scm
@@ -434,7 +434,6 @@ (define-public rtv
            python-requests python-six))
     (native-inputs
      (list ncurses
-           python-coveralls
            python-mock
            python-pytest
            python-vcrpy))
@@ -467,8 +466,7 @@ (define-public tuir
      (list python-beautifulsoup4 python-decorator python-kitchen
            python-requests python-six))
     (native-inputs
-     (list python-coveralls
-           python-mock
+     (list python-mock
            python-pytest
            python-setuptools
            python-vcrpy
diff --git a/gnu/packages/telegram.scm b/gnu/packages/telegram.scm
index 358374a5bb7..c5930180e6a 100644
--- a/gnu/packages/telegram.scm
+++ b/gnu/packages/telegram.scm
@@ -790,8 +790,7 @@ (define-public tgcli
                (add-installed-pythonpath inputs outputs)
                (invoke "pytest" "tests")))))))
     (native-inputs
-     `(("coveralls" ,python-coveralls)
-       ("pytest" ,python-pytest)
+     `(("pytest" ,python-pytest)
        ("pytest-click" ,python-pytest-click)
        ("pytest-cov" ,python-pytest-cov)
        ("mkdocs" ,python-mkdocs)